#!/bin/sh
# the next line restarts using tclsh \
exec wish "$0" "$@"
#DISCLAMER OF ALL WARRANTIES

#package require	KitXml
load libkitxml0.1.4.dylib

wm title . "Create Html File Demos"
wm geometry . +0+0

# create a new file and widget html type
# HTML and HEAD, BODY childrean are autocreated.
xml .html1 -html

# add "title" node
.html1.html.head add node .title -content "The KitXml Html Demos" 	

# add <BODY> some properties
.html1.html.body add properties -bgcolor #FFFFFF
.html1.html.body add properties -text #000000
.html1.html.body add properties -link #0000FF

# add "h1" tag (<H1) 
.html1.html.body add node .center
.html1.html.body.center add node .h1 -content "Examples\n"
.html1.html.body.center add node .font -content "of scripts\n"
.html1.html.body add node .font -content "Choice demos :\n"

#<br>
.html1.html.body add node .br

# add "a" tag (<a>)
.html1.html.body add node .a  -content "1) Create  Xml File"
.html1.html.body.a add properties -href createxmlfile.tcl
.html1.html.body add node .br
.html1.html.body add node .a  -content "2) Open Xml File"
.html1.html.body.a(1) add properties -href openxmlfile.tcl 
.html1.html.body add node .br
.html1.html.body add node .a  -content "3) Create  Html File"
.html1.html.body.a(2) add properties -href createhtmlfile.tcl
.html1.html.body add node .br
.html1.html.body add node .a  -content "4) Open  Html File"
.html1.html.body.a(3) add properties -href openhtmlfile.tcl 

label .root -text [.html1 get root]
pack .root
label .htmllist -text [.html1.html get nodeslist]
pack .htmllist
label .headlist -text [.html1.html.head get nodeslist]
pack .headlist
label .bodypropertieslist -text [.html1.html.body get propertieslist]
pack .bodypropertieslist
label .bodylist -text [.html1.html.body get nodeslist]
pack .bodylist

label .bodycontent -text [.html1.html.body get content]
pack .bodycontent

# save xml tree in default file 
.html1 save

# show file result 
set id [open [file join [.html1 cget -file]]]
text .file_content 	
.file_content insert end [read $id] 
pack .file_content -expand yes -fill both
close $id  

set wctr .control
frame $wctr
pack $wctr
button $wctr.netscapeCmd -text "Show with netscape" -command { exec netscape html1.html & }
button $wctr.quit -text "Quit" -command { destroy . ; exit }
pack $wctr.netscapeCmd $wctr.quit -side left -expand yes -padx 2m













