/* 
 * XmlTclInit.h (c) 2010 Cyril BARABTO 
 *
 *	This file contains code to implement the "packer"
 *	XML file manager for Tcl/Tk.
 *
 * tcl/tk (c) 1990-2010 The Regents of the University of California.
 * 	  (c) 1994-2010 Sun Microsystems, Inc.
 *
 * DISCLAIMER OF ALL WARRANTIES.
 *
 */

#ifndef _XMLTCL
#define _XMLTCL


#ifndef _TCL
#include <tcl.h>
#endif

#ifndef _TK
#include <tk.h>
#endif

#define XMLTCL_VERSIONID	"0.1.4"
#define XMLTCL_VERSION  	"0"
#define XMLTCL_REVISION 	"1"
#define XMLTCL_DEBUG		"4"
#define XMLTCL_DATE		"2002-2010"
#define XMLTCL_PKG		"KitXml"

/*
 *--------------------------------------------------------------
 * 
 * struct is used for create a table of equ text (char *) and 
 * index (int *). (example : options or commands text to index)  
 *
 *--------------------------------------------------------------
 */

typedef struct {
	char 	*name;
	int 	index;
} XmlTcl_Equ;


/*
 *--------------------------------------------------------------
 * 
 * declare heads command
 *
 *--------------------------------------------------------------
 */
int XmlTcl_XmlCmd  ( ClientData, Tcl_Interp *, int, char ** ); 			/* cmd xml */
int XmlTcl_GetEqu  ( char *,  XmlTcl_Equ * );					/* string to equ index */

#endif /* _XMLTCL */
